Skip to main content
PATCH
/
v1
/
platforms
/
youtube
/
comments
/
{commentId}
Edit a YouTube comment
curl --request PATCH \
  --url https://api.social-api.ai/v1/v1/platforms/youtube/comments/{commentId} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "account_id": "<string>",
  "post_id": "<string>",
  "text": "<string>"
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...

Path Parameters

commentId
string
required

YouTube comment ID

Body

application/json

New comment text (post_id is required to resolve the channel that owns the comment)

account_id
string
post_id
string
text
string

Response

Comment edited

success
boolean
Example:

true